(function(angular, $, _) {
  angular.module('crmTurnstile').component('crmTurnstile', {
    templateUrl: '~/crmTurnstile/crmTurnstile.html',
    bindings: {
      recaptchakey: '@',
      recaptchatheme: '@',
    },
    require: {
      afForm: '^^',
    },
    controller: function($scope, $element) {
      var ctrl = this;

      this.$onInit = function() {
        this.recaptchatheme = this.recaptchatheme || 'light';

        // Global callback because recaptcha can't directly call angular functions
        window.crmTurnstileChange = function(response) {
          $scope.$apply(function() {
            // Add response to form data
            var extra = ctrl.afForm.getData('extra');
            extra.recaptcha = response;
          });
        };
      };
    }
  });
})(angular, CRM.$, CRM._);